<?php
/**
 * Video Blog: Block Patterns
 *
 * @package Video Blog
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'video-blog',
		array( 'label' => __( 'Video Blog', 'video-blog' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'video-blog/banner-section',
		array(
			'title'      => __( 'Post Section', 'video-blog' ),
			'categories' => array( 'video-blog' ),
			'content'    => "<!-- wp:columns {\"align\":\"full\",\"className\":\"post-section\"} -->\n<div class=\"wp-block-columns alignfull post-section\"><!-- wp:column {\"className\":\"playlist-box\"} -->\n<div class=\"wp-block-column playlist-box\"><!-- wp:cover {\"url\":\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post1.png\",\"id\":1711,\"minHeight\":350,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover has-background-dim my-0\" style=\"min-height:350px\"><img class=\"wp-block-cover__image-background wp-image-1711\" alt=\"\" src=\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post1.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:30px\">Post Title 1</h2>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"playlist-box ms-0\"} -->\n<div class=\"wp-block-column playlist-box ms-0\"><!-- wp:cover {\"url\":\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post2.png\",\"id\":1727,\"minHeight\":350,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover has-background-dim my-0\" style=\"min-height:350px\"><img class=\"wp-block-cover__image-background wp-image-1727\" alt=\"\" src=\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post2.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:30px\">Post<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\"> Title 2</h2>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"playlist-box ms-0\"} -->\n<div class=\"wp-block-column playlist-box ms-0\"><!-- wp:cover {\"url\":\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post3.png\",\"id\":1732,\"minHeight\":350,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover has-background-dim my-0\" style=\"min-height:350px\"><img class=\"wp-block-cover__image-background wp-image-1732\" alt=\"\" src=\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post3.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:30px\">Post<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\"> Title 3</h2>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"playlist-box ms-0\"} -->\n<div class=\"wp-block-column playlist-box ms-0\"><!-- wp:cover {\"url\":\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post4.png\",\"id\":1721,\"minHeight\":350,\"className\":\"my-0\"} -->\n<div class=\"wp-block-cover has-background-dim my-0\" style=\"min-height:350px\"><img class=\"wp-block-cover__image-background wp-image-1721\" alt=\"\" src=\"" . esc_url(get_theme_file_uri()) . "/inc/block-patterns/images/post4.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:30px\">Post<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\"> Title 4</h2>\n<!-- /wp:heading --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'video-blog/video-section',
		array(
			'title'      => __( 'Video Section', 'video-blog' ),
			'categories' => array( 'video-blog' ),
			'content'    => "<!-- wp:columns {\"align\":\"wide\",\"className\":\"blog-section py-5 mx-0\"} -->\n<div class=\"wp-block-columns alignwide blog-section py-5 mx-0\"><!-- wp:column {\"className\":\"mb-md-0 mb-3\"} -->\n<div class=\"wp-block-column mb-md-0 mb-3\"><!-- wp:embed {\"url\":\"https://www.youtube.com/embed/yAoLSRbwxL8\",\"type\":\"rich\",\"providerNameSlug\":\"embed-handler\",\"responsive\":true,\"className\":\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"} -->\n<figure class=\"wp-block-embed is-type-rich is-provider-embed-handler wp-block-embed-embed-handler wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\nhttps://www.youtube.com/embed/yAoLSRbwxL8\n</div></figure>\n<!-- /wp:embed -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#101010\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#101010;font-size:17px\">Lorem Ipsum is simply dummy</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-md-0 mb-3\"} -->\n<div class=\"wp-block-column mb-md-0 mb-3\"><!-- wp:embed {\"url\":\"https://www.youtube.com/embed/yAoLSRbwxL8\",\"type\":\"rich\",\"providerNameSlug\":\"embed-handler\",\"responsive\":true,\"className\":\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"} -->\n<figure class=\"wp-block-embed is-type-rich is-provider-embed-handler wp-block-embed-embed-handler wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\nhttps://www.youtube.com/embed/yAoLSRbwxL8\n</div></figure>\n<!-- /wp:embed -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#101010\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#101010;font-size:17px\">Lorem Ipsum is simply dummy</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-md-0 mb-3\"} -->\n<div class=\"wp-block-column mb-md-0 mb-3\"><!-- wp:embed {\"url\":\"https://www.youtube.com/embed/yAoLSRbwxL8\",\"type\":\"rich\",\"providerNameSlug\":\"embed-handler\",\"responsive\":true,\"className\":\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"} -->\n<figure class=\"wp-block-embed is-type-rich is-provider-embed-handler wp-block-embed-embed-handler wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\nhttps://www.youtube.com/embed/yAoLSRbwxL8\n</div></figure>\n<!-- /wp:embed -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#101010\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#101010;font-size:17px\">Lorem Ipsum is simply dummy</h3>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}